import VPlay 1.0
import QtQuick 1.1

/*
This scene could hold the general game logic, and the levels only hold the level specific items and are loaded dynamically, depending on the selected level in the SelectLevelScene which got stored in the window.selectedLevel property.
*/
SceneBase {
  id:gameScene

  onBackPressed: window.state = "selectLevel"

  // create and remove entities at runtime
  EntityManager {
    id: entityManager
    // the entityContainer would be the level here
    entityContainer: levelLoader.item
  }

  // you could also add the PhysicsWorld here if you need one
  //PhysicsWorld {}

  MultiResolutionImage {
    source: "img/gamebg-sd.png"
    anchors.centerIn: parent
  }

  // back button to leave scene
  SimpleButton {
    text: "Back to menu"
    anchors.right: parent.right
    onClicked: backPressed()
  }

  // name of the current level
  Text {
    color: "blue";
    text: levelLoader.item ? levelLoader.item.levelName : "";
  }

  // load levels at runtime
  Loader {
    id: levelLoader
    source: "levels/" + window.selectedLevel + ".qml"
    onLoaded: {
      // do not forget to call loadItemWithCocos or the item might not be displayed correct!
      loadItemWithCocos(item)
    }
  }

  function enterScene() {
    console.log("overwritten enterScene() of GameScene called")
  }
}
