import VPlay 1.0
import QtQuick 1.1

Scene {
  id: sceneBase

  // by default, set the opacity to 0 -  the SceneLoader will change the opacity to 1 after loading the scene
  opacity: 0

  // add a smooth opacity change effect
  Behavior on opacity {
    // the cross-fade animation should last 350ms
    NumberAnimation { duration: 350 }
  }

  // signal indicating that back has been pressed
  signal backPressed

  Keys.onPressed: {
    // only simulate on desktop platforms!
    if(event.key === Qt.Key_Backspace && system.desktopPlatform) {
      backPressed()
    }
  }

  // the Android back button
  Keys.onBackPressed: {
    backPressed()
  }

  // the SceneLoader will call this function after loading the Scene, you can overwrite it in any Scene, for example to start your level logic
  function enterScene() {
    console.log("default enterScene() of SceneBase called")
  }
}
